/**
 * - Digitalis Internal Framework v2.0 -
 *
 * (C) 2007, Digitalis Informatica. 
 * 
 * Distribuicao e Gestao de Informatica, Lda.
 * Estrada de Paco de Arcos num.9 - Piso -1
 * 2780-666 Paco de Arcos
 * Telefone: (351) 21 4408990
 * Fax: (351) 21 4408999
 * http://www.digitalis.pt 
 */
package pt.digitalis.utils.bytecode.exceptions;

/**
 * Represents an error on the code generation procedure.
 * 
 * @author Rodrigo Gonalves <a href="mailto:rgoncalves@digitalis.pt">rgoncalves@digitalis.pt</a>
 * @created 2007/08/29
 */
public class CodeGenerationException extends Exception {

    /** Serial Version ID. */
    private static final long serialVersionUID = 0L;

    /**
     * Constructs a new DIFException that wraps a Java Exception.
     * 
     * @param exception
     *            the exception to encapsulate.
     */
    public CodeGenerationException(Exception exception) {
        super(exception);
    }

    /**
     * Constructs a new DIFException from a reason.
     * 
     * @param reason
     *            the exception reason.
     */
    public CodeGenerationException(String reason) {
        super(reason);
    }

    /**
     * @param reason
     *            the exception reason.
     * @param exception
     *            the exception to encapsulate.
     */
    public CodeGenerationException(String reason, Exception exception) {
        super(reason, exception);
    }
}
